## webkit2gtk 2.51.90

=== Source/WebCore/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "WebCore")

include(Headers.cmake)
include(WebCoreMacros.cmake)

add_subdirectory(PAL/pal)

list(APPEND WebCore_UNIFIED_SOURCE_LIST_FILES
    "Sources.txt"
)

set(WebCore_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${WebCore_PRIVATE_FRAMEWORK_HEADERS_DIR}"
    "${WebCore_DERIVED_SOURCES_DIR}"
    "${WEBCORE_DIR}"
    "${WEBCORE_DIR}/Modules/ShapeDetection"
    "${WEBCORE_DIR}/Modules/ShapeDetection/Interfaces"
    "${WEBCORE_DIR}/Modules/WebGPU"
    "${WEBCORE_DIR}/Modules/WebGPU/InternalAPI"
    "${WEBCORE_DIR}/Modules/WebGPU/Implementation"
    "${WEBCORE_DIR}/Modules/airplay"
    "${WEBCORE_DIR}/Modules/applepay"
    "${WEBCORE_DIR}/Modules/applepay/paymentrequest"
    "${WEBCORE_DIR}/Modules/applicationmanifest"
    "${WEBCORE_DIR}/Modules/async-clipboard"
    "${WEBCORE_DIR}/Modules/audiosession"
    "${WEBCORE_DIR}/Modules/badge"
    "${WEBCORE_DIR}/Modules/beacon"
    "${WEBCORE_DIR}/Modules/cache"
    "${WEBCORE_DIR}/Modules/compression"
    "${WEBCORE_DIR}/Modules/contact-picker"
    "${WEBCORE_DIR}/Modules/cookie-consent"
    "${WEBCORE_DIR}/Modules/cookie-store"
    "${WEBCORE_DIR}/Modules/credentialmanagement"
    "${WEBCORE_DIR}/Modules/encryptedmedia"
    "${WEBCORE_DIR}/Modules/encryptedmedia/legacy"
    "${WEBCORE_DIR}/Modules/entriesapi"
    "${WEBCORE_DIR}/Modules/fetch"
    "${WEBCORE_DIR}/Modules/filesystem"
    "${WEBCORE_DIR}/Modules/geolocation"
    "${WEBCORE_DIR}/Modules/highlight"
    "${WEBCORE_DIR}/Modules/identity"
    "${WEBCORE_DIR}/Modules/identity/dummy"
    "${WEBCORE_DIR}/Modules/identity/protocols"
    "${WEBCORE_DIR}/Modules/identity/protocols/ISO18013"
    "${WEBCORE_DIR}/Modules/identity/protocols/openid"
    "${WEBCORE_DIR}/Modules/indexeddb"
    "${WEBCORE_DIR}/Modules/indexeddb/client"
    "${WEBCORE_DIR}/Modules/indexeddb/server"
    "${WEBCORE_DIR}/Modules/indexeddb/shared"
    "${WEBCORE_DIR}/Modules/mediacapabilities"
    "${WEBCORE_DIR}/Modules/mediacontrols"
    "${WEBCORE_DIR}/Modules/mediarecorder"
    "${WEBCORE_DIR}/Modules/mediasession"
    "${WEBCORE_DIR}/Modules/mediasource"
    "${WEBCORE_DIR}/Modules/mediastream"
    "${WEBCORE_DIR}/Modules/model-element"
    "${WEBCORE_DIR}/Modules/model-element/dummy"
    "${WEBCORE_DIR}/Modules/navigatorcontentutils"
    "${WEBCORE_DIR}/Modules/notifications"
    "${WEBCORE_DIR}/Modules/paymentrequest"
    "${WEBCORE_DIR}/Modules/permissions"
    "${WEBCORE_DIR}/Modules/pictureinpicture"
    "${WEBCORE_DIR}/Modules/plugins"
    "${WEBCORE_DIR}/Modules/push-api"
    "${WEBCORE_DIR}/Modules/remoteplayback"
    "${WEBCORE_DIR}/Modules/reporting"
    "${WEBCORE_DIR}/Modules/screen-wake-lock"
    "${WEBCORE_DIR}/Modules/speech"
    "${WEBCORE_DIR}/Modules/storage"
    "${WEBCORE_DIR}/Modules/streams"
    "${WEBCORE_DIR}/Modules/url-pattern"
    "${WEBCORE_DIR}/Modules/web-locks"
    "${WEBCORE_DIR}/Modules/webaudio"
    "${WEBCORE_DIR}/Modules/webauthn"
    "${WEBCORE_DIR}/Modules/webauthn/cbor"
    "${WEBCORE_DIR}/Modules/webauthn/fido"
    "${WEBCORE_DIR}/Modules/webcodecs"
    "${WEBCORE_DIR}/Modules/webdatabase"
    "${WEBCORE_DIR}/Modules/webdriver"
    "${WEBCORE_DIR}/Modules/websockets"
    "${WEBCORE_DIR}/Modules/webtransport"
    "${WEBCORE_DIR}/Modules/webxr"
    "${WEBCORE_DIR}/accessibility"
    "${WEBCORE_DIR}/accessibility/isolatedtree"
    "${WEBCORE_DIR}/animation"
    "${WEBCORE_DIR}/automation"
    "${WEBCORE_DIR}/bindings"
    "${WEBCORE_DIR}/bindings/js"
    "${WEBCORE_DIR}/bridge"
    "${WEBCORE_DIR}/bridge/c"
    "${WEBCORE_DIR}/bridge/jsc"
    "${WEBCORE_DIR}/contentextensions"
    "${WEBCORE_DIR}/crypto"
    "${WEBCORE_DIR}/crypto/algorithms"
    "${WEBCORE_DIR}/crypto/keys"
    "${WEBCORE_DIR}/crypto/parameters"
    "${WEBCORE_DIR}/css"
    "${WEBCORE_DIR}/css/calc"
    "${WEBCORE_DIR}/css/parser"
    "${WEBCORE_DIR}/css/query"
    "${WEBCORE_DIR}/css/typedom"
    "${WEBCORE_DIR}/css/typedom/color"
    "${WEBCORE_DIR}/css/typedom/numeric"
    "${WEBCORE_DIR}/css/typedom/transform"
    "${WEBCORE_DIR}/css/values"
    "${WEBCORE_DIR}/css/values/borders"
    "${WEBCORE_DIR}/css/values/color"
    "${WEBCORE_DIR}/css/values/color-adjust"
    "${WEBCORE_DIR}/css/values/easing"
    "${WEBCORE_DIR}/css/values/filter-effects"
    "${WEBCORE_DIR}/css/values/grid"
    "${WEBCORE_DIR}/css/values/images"
    "${WEBCORE_DIR}/css/values/motion"
    "${WEBCORE_DIR}/css/values/primitives"
    "${WEBCORE_DIR}/css/values/shapes"
    "${WEBCORE_DIR}/css/values/text-decoration"
    "${WEBCORE_DIR}/cssjit"
    "${WEBCORE_DIR}/dom"
    "${WEBCORE_DIR}/dom/messageports"
    "${WEBCORE_DIR}/domjit"
    "${WEBCORE_DIR}/editing"
    "${WEBCORE_DIR}/fileapi"
    "${WEBCORE_DIR}/history"
    "${WEBCORE_DIR}/html"
    "${WEBCORE_DIR}/html/canvas"
    "${WEBCORE_DIR}/html/closewatcher"
    "${WEBCORE_DIR}/html/forms"
    "${WEBCORE_DIR}/html/parser"
    "${WEBCORE_DIR}/html/shadow"
    "${WEBCORE_DIR}/html/track"
    "${WEBCORE_DIR}/inspector"
    "${WEBCORE_DIR}/inspector/agents"
    "${WEBCORE_DIR}/inspector/agents/frame"
    "${WEBCORE_DIR}/inspector/agents/page"
    "${WEBCORE_DIR}/inspector/agents/worker"
    "${WEBCORE_DIR}/layout"
    "${WEBCORE_DIR}/layout/formattingContexts"
    "${WEBCORE_DIR}/layout/formattingContexts/block"
    "${WEBCORE_DIR}/layout/formattingContexts/block/tablewrapper"
    "${WEBCORE_DIR}/layout/formattingContexts/flex"
    "${WEBCORE_DIR}/layout/formattingContexts/grid"
    "${WEBCORE_DIR}/layout/floats"
    "${WEBCORE_DIR}/layout/formattingContexts/inline"
    "${WEBCORE_DIR}/layout/formattingContexts/inline/display"
    "${WEBCORE_DIR}/layout/formattingContexts/inline/invalidation"
    "${WEBCORE_DIR}/layout/formattingContexts/inline/ruby"
    "${WEBCORE_DIR}/layout/formattingContexts/inline/text"
    "${WEBCORE_DIR}/layout/integration"
    "${WEBCORE_DIR}/layout/integration/flex"
    "${WEBCORE_DIR}/layout/integration/grid"
    "${WEBCORE_DIR}/layout/integration/inline"
    "${WEBCORE_DIR}/layout/layouttree"
    "${WEBCORE_DIR}/layout/formattingContexts/table"
    "${WEBCORE_DIR}/loader"
    "${WEBCORE_DIR}/loader/archive"
    "${WEBCORE_DIR}/loader/archive/mhtml"
    "${WEBCORE_DIR}/loader/cache"
    "${WEBCORE_DIR}/loader/icon"
    "${WEBCORE_DIR}/mathml"
    "${WEBCORE_DIR}/page"
    "${WEBCORE_DIR}/page/csp"
    "${WEBCORE_DIR}/page/scrolling"
    "${WEBCORE_DIR}/page/text-extraction"
    "${WEBCORE_DIR}/platform"
    "${WEBCORE_DIR}/platform/animation"
    "${WEBCORE_DIR}/platform/animation/values"
    "${WEBCORE_DIR}/platform/audio"
    "${WEBCORE_DIR}/platform/encryptedmedia"
    "${WEBCORE_DIR}/platform/gamepad"
    "${WEBCORE_DIR}/platform/graphics"
    "${WEBCORE_DIR}/platform/graphics/cpu/arm"
    "${WEBCORE_DIR}/platform/graphics/cpu/arm/filters"
    "${WEBCORE_DIR}/platform/graphics/displaylists"
    "${WEBCORE_DIR}/platform/graphics/filters"
    "${WEBCORE_DIR}/platform/graphics/filters/software"
    "${WEBCORE_DIR}/platform/graphics/controls"
    "${WEBCORE_DIR}/platform/graphics/iso"
    "${WEBCORE_DIR}/platform/graphics/opentype"
    "${WEBCORE_DIR}/platform/graphics/transforms"
    "${WEBCORE_DIR}/platform/mediacapabilities"
    "${WEBCORE_DIR}/platform/mediarecorder"
    "${WEBCORE_DIR}/platform/mediastream"
    "${WEBCORE_DIR}/platform/mediarecorder"
    "${WEBCORE_DIR}/platform/mock"
    "${WEBCORE_DIR}/platform/mock/mediasource"
    "${WEBCORE_DIR}/platform/network"
    "${WEBCORE_DIR}/platform/sql"
    "${WEBCORE_DIR}/platform/text"
    "${WEBCORE_DIR}/platform/xr"
    "${WEBCORE_DIR}/plugins"
    "${WEBCORE_DIR}/rendering"
    "${WEBCORE_DIR}/rendering/line"
    "${WEBCORE_DIR}/rendering/mathml"
    "${WEBCORE_DIR}/rendering/shapes"
    "${WEBCORE_DIR}/rendering/style"
    "${WEBCORE_DIR}/rendering/svg"
    "${WEBCORE_DIR}/rendering/svg/legacy"
    "${WEBCORE_DIR}/rendering/updating"
    "${WEBCORE_DIR}/replay"
    "${WEBCORE_DIR}/storage"
    "${WEBCORE_DIR}/style"
    "${WEBCORE_DIR}/style/calc"
    "${WEBCORE_DIR}/style/computed"
    "${WEBCORE_DIR}/style/computed/data"
    "${WEBCORE_DIR}/style/values"
    "${WEBCORE_DIR}/style/values/align"
    "${WEBCORE_DIR}/style/values/anchor-position"
    "${WEBCORE_DIR}/style/values/animations"
    "${WEBCORE_DIR}/style/values/backgrounds"
    "${WEBCORE_DIR}/style/values/borders"
    "${WEBCORE_DIR}/style/values/box"
    "${WEBCORE_DIR}/style/values/break"
    "${WEBCORE_DIR}/style/values/color-adjust"
    "${WEBCORE_DIR}/style/values/color"
    "${WEBCORE_DIR}/style/values/contain"
    "${WEBCORE_DIR}/style/values/content"
    "${WEBCORE_DIR}/style/values/counter-styles"
    "${WEBCORE_DIR}/style/values/css2"
    "${WEBCORE_DIR}/style/values/display"
    "${WEBCORE_DIR}/style/values/easing"
    "${WEBCORE_DIR}/style/values/fill-stroke"
    "${WEBCORE_DIR}/style/values/filter-effects"
    "${WEBCORE_DIR}/style/values/flexbox"
    "${WEBCORE_DIR}/style/values/fonts"
    "${WEBCORE_DIR}/style/values/grid"
    "${WEBCORE_DIR}/style/values/images"
    "${WEBCORE_DIR}/style/values/inline"
    "${WEBCORE_DIR}/style/values/line-grid"
    "${WEBCORE_DIR}/style/values/lists"
    "${WEBCORE_DIR}/style/values/masking"
    "${WEBCORE_DIR}/style/values/motion"
    "${WEBCORE_DIR}/style/values/multicol"
    "${WEBCORE_DIR}/style/values/non-standard"
    "${WEBCORE_DIR}/style/values/overflow"
    "${WEBCORE_DIR}/style/values/page"
    "${WEBCORE_DIR}/style/values/pointerevents"
    "${WEBCORE_DIR}/style/values/position"
    "${WEBCORE_DIR}/style/values/primitives"
    "${WEBCORE_DIR}/style/values/rhythm"
    "${WEBCORE_DIR}/style/values/scroll-animations"
    "${WEBCORE_DIR}/style/values/scroll-snap"
    "${WEBCORE_DIR}/style/values/scrollbars"
    "${WEBCORE_DIR}/style/values/shapes"
    "${WEBCORE_DIR}/style/values/size-adjust"
    "${WEBCORE_DIR}/style/values/sizing"
    "${WEBCORE_DIR}/style/values/speech"
    "${WEBCORE_DIR}/style/values/svg"
    "${WEBCORE_DIR}/style/values/text"
    "${WEBCORE_DIR}/style/values/text-decoration"
    "${WEBCORE_DIR}/style/values/transforms"
    "${WEBCORE_DIR}/style/values/transforms/functions"
    "${WEBCORE_DIR}/style/values/transitions"
    "${WEBCORE_DIR}/style/values/ui"
    "${WEBCORE_DIR}/style/values/view-transitions"
    "${WEBCORE_DIR}/style/values/viewport"
    "${WEBCORE_DIR}/style/values/will-change"
    "${WEBCORE_DIR}/svg"
    "${WEBCORE_DIR}/svg/animation"
    "${WEBCORE_DIR}/svg/graphics"
    "${WEBCORE_DIR}/svg/graphics/filters"
    "${WEBCORE_DIR}/svg/properties"
    "${WEBCORE_DIR}/websockets"
    "${WEBCORE_DIR}/workers"
    "${WEBCORE_DIR}/workers/service"
    "${WEBCORE_DIR}/workers/service/background-fetch"
    "${WEBCORE_DIR}/workers/service/context"
    "${WEBCORE_DIR}/workers/service/server"
    "${WEBCORE_DIR}/workers/shared"
    "${WEBCORE_DIR}/workers/shared/context"
    "${WEBCORE_DIR}/worklets"
    "${WEBCORE_DIR}/xml"
    "${WEBCORE_DIR}/xml/parser"
)

set(WebCore_IDL_INCLUDES
    css
    dom
    fileapi
    html
    inspector
    loader
    page
    plugins
    storage
    svg
    workers
    xml

    Modules/WebGPU
    Modules/airplay
    Modules/badge
    Modules/cache
    Modules/compression
    Modules/cookie-store
    Modules/credentialmanagement
    Modules/encryptedmedia/legacy
    Modules/entriesapi
    Modules/fetch
    Modules/filesystem
    Modules/geolocation
    Modules/highlight
    Modules/identity
    Modules/indexeddb
    Modules/mediacapabilities
    Modules/mediarecorder
    Modules/mediastream
    Modules/model-element
    Modules/notifications
    Modules/paymentrequest
    Modules/permissions
    Modules/push-api
    Modules/reporting
    Modules/speech
    Modules/storage
    Modules/streams
    Modules/web-locks
    Modules/webaudio
    Modules/webdatabase
    Modules/websockets
    Modules/webtransport

    bindings/js

    css/typedom

    css/typedom/color
    css/typedom/numeric
    css/typedom/transform

    html/canvas
    html/closewatcher
    html/shadow
    html/track

    loader/appcache
)

set(WebCore_NON_SVG_IDL_FILES

=== Source/bmalloc/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "bmalloc")

set(bmalloc_PRIVATE_INCLUDE_DIRECTORIES
    "${BMALLOC_DIR}"
    "${BMALLOC_DIR}/bmalloc"
    "${BMALLOC_DIR}/libpas/src/libpas"
)

set(bmalloc_SOURCES
    bmalloc/AllIsoHeaps.cpp
    bmalloc/Allocator.cpp
    bmalloc/AvailableMemory.cpp
    bmalloc/Cache.cpp
    bmalloc/CryptoRandom.cpp
    bmalloc/Deallocator.cpp
    bmalloc/SystemHeap.cpp
    bmalloc/Environment.cpp
    bmalloc/FreeList.cpp
    bmalloc/Gigacage.cpp
    bmalloc/Heap.cpp
    bmalloc/HeapConstants.cpp
    bmalloc/HeapKind.cpp
    bmalloc/IsoHeap.cpp
    bmalloc/IsoHeapImpl.cpp
    bmalloc/IsoMallocFallback.cpp
    bmalloc/IsoPage.cpp
    bmalloc/IsoSharedHeap.cpp
    bmalloc/IsoSharedPage.cpp
    bmalloc/IsoTLS.cpp
    bmalloc/IsoTLSEntry.cpp
    bmalloc/IsoTLSLayout.cpp
    bmalloc/LargeMap.cpp
    bmalloc/Logging.cpp
    bmalloc/Mutex.cpp
    bmalloc/ObjectType.cpp
    bmalloc/ObjectTypeTable.cpp
    bmalloc/PerProcess.cpp
    bmalloc/Scavenger.cpp
    bmalloc/TZoneHeap.cpp
    bmalloc/TZoneHeapManager.cpp
    bmalloc/bmalloc.cpp

    libpas/src/libpas/bmalloc_heap.c
    libpas/src/libpas/bmalloc_heap_config.c
    libpas/src/libpas/jit_heap.c
    libpas/src/libpas/pas_bitfit_page_config_kind.c
    libpas/src/libpas/pas_heap_config_kind.c
    libpas/src/libpas/pas_segregated_page_config_kind.c
)

set_source_files_properties(
    libpas/src/libpas/bmalloc_heap.c
    libpas/src/libpas/bmalloc_heap_config.c
    libpas/src/libpas/jit_heap.c
    libpas/src/libpas/pas_bitfit_page_config_kind.c
    libpas/src/libpas/pas_heap_config_kind.c
    libpas/src/libpas/pas_segregated_page_config_kind.c
    PROPERTIES LANGUAGE CXX
)

set(bmalloc_C_SOURCES
    libpas/src/libpas/bmalloc_type.c
    libpas/src/libpas/hotbit_heap.c
    libpas/src/libpas/hotbit_heap_config.c
    libpas/src/libpas/iso_heap.c
    libpas/src/libpas/iso_heap_config.c
    libpas/src/libpas/iso_test_heap.c
    libpas/src/libpas/iso_test_heap_config.c
    libpas/src/libpas/jit_heap_config.c
    libpas/src/libpas/minalign32_heap.c
    libpas/src/libpas/minalign32_heap_config.c
    libpas/src/libpas/pagesize64k_heap.c
    libpas/src/libpas/pagesize64k_heap_config.c
    libpas/src/libpas/pas_alignment.c
    libpas/src/libpas/pas_all_heaps.c
    libpas/src/libpas/pas_all_shared_page_directories.c
    libpas/src/libpas/pas_allocation_callbacks.c
    libpas/src/libpas/pas_allocation_result.c
    libpas/src/libpas/pas_baseline_allocator.c
    libpas/src/libpas/pas_baseline_allocator_table.c
    libpas/src/libpas/pas_basic_heap_config_enumerator_data.c
    libpas/src/libpas/pas_bitfit_allocator.c
    libpas/src/libpas/pas_bitfit_directory.c
    libpas/src/libpas/pas_bitfit_heap.c
    libpas/src/libpas/pas_bitfit_page.c
    libpas/src/libpas/pas_bitfit_size_class.c
    libpas/src/libpas/pas_bitfit_view.c
    libpas/src/libpas/pas_bootstrap_free_heap.c
    libpas/src/libpas/pas_bootstrap_heap_page_provider.c
    libpas/src/libpas/pas_coalign.c
    libpas/src/libpas/pas_commit_span.c
    libpas/src/libpas/pas_committed_pages_vector.c
    libpas/src/libpas/pas_compact_bootstrap_free_heap.c
    libpas/src/libpas/pas_compact_expendable_memory.c
    libpas/src/libpas/pas_compact_heap_reservation.c
    libpas/src/libpas/pas_compact_large_utility_free_heap.c
    libpas/src/libpas/pas_compute_summary_object_callbacks.c
    libpas/src/libpas/pas_create_basic_heap_page_caches_with_reserved_memory.c
    libpas/src/libpas/pas_deallocate.c
    libpas/src/libpas/pas_debug_spectrum.c
    libpas/src/libpas/pas_deferred_decommit_log.c
    libpas/src/libpas/pas_designated_intrinsic_heap.c
    libpas/src/libpas/pas_dyld_state.c
    libpas/src/libpas/pas_dynamic_primitive_heap_map.c
    libpas/src/libpas/pas_ensure_heap_forced_into_reserved_memory.c
    libpas/src/libpas/pas_ensure_heap_with_page_caches.c
    libpas/src/libpas/pas_enumerable_page_malloc.c
    libpas/src/libpas/pas_enumerable_range_list.c
    libpas/src/libpas/pas_enumerate_bitfit_heaps.c
    libpas/src/libpas/pas_enumerate_initially_unaccounted_pages.c
    libpas/src/libpas/pas_enumerate_large_heaps.c
    libpas/src/libpas/pas_enumerate_segregated_heaps.c
    libpas/src/libpas/pas_enumerate_unaccounted_pages_as_meta.c
    libpas/src/libpas/pas_enumerator.c
    libpas/src/libpas/pas_enumerator_region.c
    libpas/src/libpas/pas_epoch.c
    libpas/src/libpas/pas_exclusive_view_template_memo_table.c
    libpas/src/libpas/pas_expendable_memory.c
    libpas/src/libpas/pas_extended_gcd.c
    libpas/src/libpas/pas_fast_large_free_heap.c
    libpas/src/libpas/pas_fast_megapage_cache.c
    libpas/src/libpas/pas_fast_megapage_table.c
    libpas/src/libpas/pas_fd_stream.c
    libpas/src/libpas/pas_free_granules.c
    libpas/src/libpas/pas_heap.c
    libpas/src/libpas/pas_heap_config.c
    libpas/src/libpas/pas_heap_config_utils.c
    libpas/src/libpas/pas_heap_for_config.c
    libpas/src/libpas/pas_heap_lock.c
    libpas/src/libpas/pas_heap_ref.c
    libpas/src/libpas/pas_heap_runtime_config.c
    libpas/src/libpas/pas_heap_summary.c
    libpas/src/libpas/pas_heap_table.c
    libpas/src/libpas/pas_immortal_heap.c
    libpas/src/libpas/pas_large_expendable_memory.c
    libpas/src/libpas/pas_large_free_heap_deferred_commit_log.c
    libpas/src/libpas/pas_large_free_heap_helpers.c
    libpas/src/libpas/pas_large_heap.c
    libpas/src/libpas/pas_large_heap_physical_page_sharing_cache.c
    libpas/src/libpas/pas_large_map.c
    libpas/src/libpas/pas_large_sharing_pool.c
    libpas/src/libpas/pas_large_utility_free_heap.c
    libpas/src/libpas/pas_lenient_compact_unsigned_ptr.c
    libpas/src/libpas/pas_local_allocator.c
    libpas/src/libpas/pas_local_allocator_scavenger_data.c
    libpas/src/libpas/pas_local_view_cache.c
    libpas/src/libpas/pas_lock.c
    libpas/src/libpas/pas_lock_free_read_ptr_ptr_hashtable.c
    libpas/src/libpas/pas_log.c
    libpas/src/libpas/pas_malloc_stack_logging.c
    libpas/src/libpas/pas_mar_registry.c
    libpas/src/libpas/pas_mar_report_crash.c
    libpas/src/libpas/pas_medium_megapage_cache.c
    libpas/src/libpas/pas_megapage_cache.c
    libpas/src/libpas/pas_monotonic_time.c
    libpas/src/libpas/pas_mte.c
    libpas/src/libpas/pas_mte_config.c
    libpas/src/libpas/pas_page_base.c
    libpas/src/libpas/pas_page_base_config.c
    libpas/src/libpas/pas_page_header_table.c
    libpas/src/libpas/pas_page_malloc.c
    libpas/src/libpas/pas_page_sharing_participant.c
    libpas/src/libpas/pas_page_sharing_pool.c
    libpas/src/libpas/pas_payload_reservation_page_list.c
    libpas/src/libpas/pas_physical_memory_transaction.c
    libpas/src/libpas/pas_primitive_heap_ref.c
    libpas/src/libpas/pas_probabilistic_guard_malloc_allocator.c
    libpas/src/libpas/pas_ptr_worklist.c
    libpas/src/libpas/pas_race_test_hooks.c
    libpas/src/libpas/pas_random.c
    libpas/src/libpas/pas_red_black_tree.c
    libpas/src/libpas/pas_redundant_local_allocator_node.c
    libpas/src/libpas/pas_report_crash.c
    libpas/src/libpas/pas_reserved_memory_provider.c
    libpas/src/libpas/pas_root.c
    libpas/src/libpas/pas_scavenger.c
    libpas/src/libpas/pas_segregated_directory.c
    libpas/src/libpas/pas_segregated_exclusive_view.c
    libpas/src/libpas/pas_segregated_heap.c
    libpas/src/libpas/pas_segregated_page.c
    libpas/src/libpas/pas_segregated_page_config.c
    libpas/src/libpas/pas_segregated_page_config_kind_and_role.c
    libpas/src/libpas/pas_segregated_partial_view.c
    libpas/src/libpas/pas_segregated_shared_handle.c
    libpas/src/libpas/pas_segregated_shared_page_directory.c
    libpas/src/libpas/pas_segregated_shared_view.c
    libpas/src/libpas/pas_segregated_size_directory.c
    libpas/src/libpas/pas_segregated_view.c
    libpas/src/libpas/pas_shared_page_directory_by_size.c
    libpas/src/libpas/pas_simple_free_heap_helpers.c
    libpas/src/libpas/pas_simple_large_free_heap.c
    libpas/src/libpas/pas_simple_type.c
    libpas/src/libpas/pas_small_medium_bootstrap_free_heap.c
    libpas/src/libpas/pas_small_medium_bootstrap_heap_page_provider.c
    libpas/src/libpas/pas_stats.c
    libpas/src/libpas/pas_status_reporter.c
    libpas/src/libpas/pas_stream.c
    libpas/src/libpas/pas_string_stream.c
    libpas/src/libpas/pas_thread.c
    libpas/src/libpas/pas_thread_local_cache.c
    libpas/src/libpas/pas_thread_local_cache_layout.c
    libpas/src/libpas/pas_thread_local_cache_layout_node.c
    libpas/src/libpas/pas_thread_local_cache_node.c
    libpas/src/libpas/pas_thread_suspend_lock.c
    libpas/src/libpas/pas_utility_heap.c
    libpas/src/libpas/pas_utility_heap_config.c
    libpas/src/libpas/pas_utils.c
    libpas/src/libpas/pas_versioned_field.c
    libpas/src/libpas/pas_virtual_range.c
    libpas/src/libpas/thingy_heap.c
    libpas/src/libpas/thingy_heap_config.c
)

set(bmalloc_PUBLIC_HEADERS
    bmalloc/Algorithm.h
    bmalloc/AllIsoHeaps.h
    bmalloc/AllIsoHeapsInlines.h
    bmalloc/AllocationCounts.h
    bmalloc/CompactAllocationMode.h
    bmalloc/Allocator.h
    bmalloc/AvailableMemory.h
    bmalloc/BAssert.h
    bmalloc/BCompiler.h
    bmalloc/BExport.h
    bmalloc/BInline.h
    bmalloc/BMalloced.h
    bmalloc/BPlatform.h
    bmalloc/BSyscall.h
    bmalloc/BVMTags.h
    bmalloc/Bits.h
    bmalloc/BulkDecommit.h
    bmalloc/BumpAllocator.h
    bmalloc/BumpRange.h
    bmalloc/Cache.h
    bmalloc/Chunk.h
    bmalloc/CryptoRandom.h
    bmalloc/Deallocator.h
    bmalloc/SystemHeap.h
    bmalloc/DeferredDecommit.h
    bmalloc/DeferredDecommitInlines.h
    bmalloc/DeferredTrigger.h
    bmalloc/DeferredTriggerInlines.h
    bmalloc/EligibilityResult.h
    bmalloc/EligibilityResultInlines.h
    bmalloc/Environment.h
    bmalloc/FailureAction.h
    bmalloc/FixedVector.h
    bmalloc/FreeList.h
    bmalloc/FreeListInlines.h
    bmalloc/Gigacage.h
    bmalloc/GigacageConfig.h
    bmalloc/GigacageKind.h
    bmalloc/Heap.h
    bmalloc/HeapConstants.h
    bmalloc/HeapKind.h
    bmalloc/IsoAllocator.h
    bmalloc/IsoAllocatorInlines.h
    bmalloc/IsoConfig.h
    bmalloc/IsoDeallocator.h
    bmalloc/IsoDeallocatorInlines.h
    bmalloc/IsoDirectory.h
    bmalloc/IsoDirectoryInlines.h
    bmalloc/IsoDirectoryPage.h
    bmalloc/IsoDirectoryPageInlines.h
    bmalloc/IsoHeap.h
    bmalloc/IsoHeapImpl.h
    bmalloc/IsoHeapImplInlines.h
    bmalloc/IsoHeapInlines.h
    bmalloc/IsoMallocFallback.h
    bmalloc/IsoPage.h
    bmalloc/IsoPageInlines.h
    bmalloc/IsoPageTrigger.h
    bmalloc/IsoSharedConfig.h
    bmalloc/IsoSharedHeap.h
    bmalloc/IsoSharedHeapInlines.h
    bmalloc/IsoSharedPage.h
    bmalloc/IsoSharedPageInlines.h
    bmalloc/IsoTLS.h
    bmalloc/IsoTLSAllocatorEntry.h
    bmalloc/IsoTLSAllocatorEntryInlines.h
    bmalloc/IsoTLSDeallocatorEntry.h
    bmalloc/IsoTLSDeallocatorEntryInlines.h
    bmalloc/IsoTLSEntry.h
    bmalloc/IsoTLSEntryInlines.h
    bmalloc/IsoTLSInlines.h
    bmalloc/IsoTLSLayout.h
    bmalloc/LargeMap.h
    bmalloc/LargeRange.h
    bmalloc/LineMetadata.h
    bmalloc/List.h
    bmalloc/Logging.h
    bmalloc/Map.h
    bmalloc/Mutex.h
    bmalloc/Object.h
    bmalloc/ObjectType.h
    bmalloc/ObjectTypeTable.h
    bmalloc/Packed.h
    bmalloc/PerHeapKind.h
    bmalloc/PerProcess.h
    bmalloc/PerThread.h
    bmalloc/PhysicalPageMap.h
    bmalloc/ProcessCheck.h
    bmalloc/Range.h
    bmalloc/Scavenger.h
    bmalloc/ScopeExit.h
    bmalloc/SegmentedVector.h
    bmalloc/Sizes.h
    bmalloc/SmallLine.h
    bmalloc/SmallPage.h
    bmalloc/StaticPerProcess.h
    bmalloc/TZoneHeap.h
    bmalloc/TZoneHeapInlines.h
    bmalloc/TZoneHeapManager.h
    bmalloc/VMAllocate.h
    bmalloc/Vector.h
    bmalloc/Zone.h
    bmalloc/bmalloc.h
    bmalloc/valgrind.h

    libpas/src/libpas/bmalloc_heap_config.h
    libpas/src/libpas/bmalloc_heap.h
    libpas/src/libpas/bmalloc_heap_inlines.h
    libpas/src/libpas/bmalloc_heap_innards.h
    libpas/src/libpas/bmalloc_heap_ref.h
    libpas/src/libpas/bmalloc_type.h
    libpas/src/libpas/hotbit_heap_config.h
    libpas/src/libpas/hotbit_heap.h
    libpas/src/libpas/hotbit_heap_inlines.h

=== Tools/TestWebKitAPI/CMakeLists.txt ===
set(TESTWEBKITAPI_DIR "${TOOLS_DIR}/TestWebKitAPI")
set(TestWebKitAPI_DISABLED_WARNINGS
    -Wno-dangling-else
    -Wno-sign-compare
    -Wno-undef
    -Wno-unused-parameter
)

macro(WEBKIT_TEST _target)
    WEBKIT_EXECUTABLE(${_target})
    add_test(${_target} ${TESTWEBKITAPI_RUNTIME_OUTPUT_DIRECTORY}/${_target})
    set_tests_properties(${_target} PROPERTIES TIMEOUT 60)
    set_target_properties(${_target} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${TESTWEBKITAPI_RUNTIME_OUTPUT_DIRECTORY}
    )

    if (COMPILER_IS_GCC_OR_CLANG)
        WEBKIT_ADD_TARGET_CXX_FLAGS(${_target} ${TestWebKitAPI_DISABLED_WARNINGS})
    endif ()
endmacro()

# TestWTF definitions
set(TestWTF_SOURCES
    Counters.cpp
    TestsController.cpp
    Utilities.cpp

    Tests/WTF/AtomString.cpp
    Tests/WTF/Base64.cpp
    Tests/WTF/BitSet.cpp
    Tests/WTF/BloomFilter.cpp
    Tests/WTF/BoxPtr.cpp
    Tests/WTF/BumpPointerAllocator.cpp
    Tests/WTF/CString.cpp
    Tests/WTF/CStringView.cpp
    Tests/WTF/CharacterProperties.cpp
    Tests/WTF/CheckedArithmeticOperations.cpp
    Tests/WTF/CompactPtr.cpp
    Tests/WTF/CompactRefPtr.cpp
    Tests/WTF/CompactRefPtrTuple.cpp
    Tests/WTF/CompactUniquePtrTuple.cpp
    Tests/WTF/CompletionHandlerTests.cpp
    Tests/WTF/ConcurrentPtrHashSet.cpp
    Tests/WTF/Condition.cpp
    Tests/WTF/CrossThreadCopierTests.cpp
    Tests/WTF/CrossThreadTask.cpp
    Tests/WTF/DataMutex.cpp
    Tests/WTF/DateMath.cpp
    Tests/WTF/Deque.cpp
    Tests/WTF/DragonBoxTest.cpp
    Tests/WTF/EmbeddedFixedVector.cpp
    Tests/WTF/EnumTraits.cpp
    Tests/WTF/Expected.cpp
    Tests/WTF/FileSystem.cpp
    Tests/WTF/FixedBitVector.cpp
    Tests/WTF/FixedVector.cpp
    Tests/WTF/Function.cpp
    Tests/WTF/HashCountedSet.cpp
    Tests/WTF/HashMap.cpp
    Tests/WTF/HashSet.cpp
    Tests/WTF/Hasher.cpp
    Tests/WTF/HexNumber.cpp
    Tests/WTF/IndexSparseSet.cpp
    Tests/WTF/Int128.cpp
    Tests/WTF/IntegerToStringConversion.cpp
    Tests/WTF/IntervalSet.cpp
    Tests/WTF/IteratorRange.cpp
    Tests/WTF/JSONValue.cpp
    Tests/WTF/LEBDecoder.cpp
    Tests/WTF/LazyRef.cpp
    Tests/WTF/LazyUniqueRef.cpp
    Tests/WTF/LifecycleLogger.cpp
    Tests/WTF/LineEnding.cpp
    Tests/WTF/ListHashSet.cpp
    Tests/WTF/Lock.cpp
    Tests/WTF/Logger.cpp
    Tests/WTF/Markable.cpp
    Tests/WTF/MathExtras.cpp
    Tests/WTF/MediaTime.cpp
    Tests/WTF/MemoryDump.cpp
    Tests/WTF/MetaAllocator.cpp
    Tests/WTF/MoveOnlyLifecycleLogger.cpp
    Tests/WTF/NakedPtr.cpp
    Tests/WTF/NativePromise.cpp
    Tests/WTF/NeverDestroyed.cpp
    Tests/WTF/OptionCountedSet.cpp
    Tests/WTF/OptionSet.cpp
    Tests/WTF/Packed.cpp
    Tests/WTF/PackedRef.cpp
    Tests/WTF/PackedRefPtr.cpp
    Tests/WTF/ParkingLot.cpp
    Tests/WTF/PreciseSum.cpp
    Tests/WTF/PriorityQueue.cpp
    Tests/WTF/RedBlackTree.cpp
    Tests/WTF/Ref.cpp
    Tests/WTF/RefCountedFixedVector.cpp
    Tests/WTF/RefCounter.cpp
    Tests/WTF/RefLogger.cpp
    Tests/WTF/RefPtr.cpp
    Tests/WTF/RobinHoodHashMap.cpp
    Tests/WTF/RobinHoodHashSet.cpp
    Tests/WTF/RunLoop.cpp
    Tests/WTF/SHA1.cpp
    Tests/WTF/SafeStrerror.cpp
    Tests/WTF/SaturatedArithmeticOperations.cpp
    Tests/WTF/Scope.cpp
    Tests/WTF/ScopedLambda.cpp
    Tests/WTF/SentinelLinkedList.cpp
    Tests/WTF/SetForScope.cpp
    Tests/WTF/Signals.cpp
    Tests/WTF/StackTraceTest.cpp
    Tests/WTF/StdLibExtrasTests.cpp
    Tests/WTF/StringBuilder.cpp
    Tests/WTF/StringCommon.cpp
    Tests/WTF/StringConcatenate.cpp
    Tests/WTF/StringHasher.cpp
    Tests/WTF/SuperFastHash.cpp
    Tests/WTF/WYHash.cpp
    Tests/WTF/StringImpl.cpp
    Tests/WTF/StringParsingBuffer.cpp
    Tests/WTF/StringSearch.cpp
    Tests/WTF/StringToIntegerConversion.cpp
    Tests/WTF/StringView.cpp
    Tests/WTF/SynchronizedFixedQueue.cpp
    Tests/WTF/TextBreakIterator.cpp
    Tests/WTF/ThreadGroup.cpp
    Tests/WTF/ThreadMessages.cpp
    Tests/WTF/Threading.cpp
    Tests/WTF/Time.cpp
    Tests/WTF/URL.cpp
    Tests/WTF/URLParser.cpp
    Tests/WTF/UTF8Conversion.cpp
    Tests/WTF/UniqueArray.cpp
    Tests/WTF/UniqueRef.cpp
    Tests/WTF/UniqueRefVector.cpp
    Tests/WTF/Vector.cpp
    Tests/WTF/WTFString.cpp
    Tests/WTF/WeakPtr.cpp
    Tests/WTF/WorkQueue.cpp
    Tests/WTF/WorkerPool.cpp
)

set(TestWTF_PRIVATE_INCLUDE_DIRECTORIES
    ${CMAKE_BINARY_DIR}
    ${TESTWEBKITAPI_DIR}
)

set(TestWTF_LIBRARIES
    WebKit::gtest
)

set(TestWTF_FRAMEWORKS
    WTF
)
if (NOT USE_SYSTEM_MALLOC)
    list(APPEND TestWTF_FRAMEWORKS bmalloc)
endif ()

WEBKIT_EXECUTABLE_DECLARE(TestWTF)

# TestJavaScriptCore definitions
if (ENABLE_JAVASCRIPTCORE)
    set(TestJavaScriptCore_SOURCES
        TestsController.cpp

        Tests/JavaScriptCore/DisallowVMEntry.cpp
        Tests/JavaScriptCore/InspectorConsoleMessage.cpp
        Tests/JavaScriptCore/PropertySlot.cpp
    )

    set(TestJavaScriptCore_LIBRARIES
        WebKit::gtest
    )
    set(TestJavaScriptCore_FRAMEWORKS
        JavaScriptCore
        WTF
    )
    if (NOT USE_SYSTEM_MALLOC)
        list(APPEND TestJavaScriptCore_FRAMEWORKS bmalloc)
    endif ()

    set(TestJavaScriptCore_PRIVATE_INCLUDE_DIRECTORIES
        ${CMAKE_BINARY_DIR}
        ${TESTWEBKITAPI_DIR}
    )

    WEBKIT_EXECUTABLE_DECLARE(TestJavaScriptCore)
endif ()

# TestWebCore definitions
if (ENABLE_WEBCORE)
    set(TestWebCore_SOURCES
        GraphicsTestUtilities.cpp
        TestsController.cpp
        Utilities.cpp
        WebCoreTestUtilities.cpp

        Tests/WebCore/AffineTransform.cpp
        Tests/WebCore/AudioSampleFormat.cpp
        Tests/WebCore/CSSParser.cpp
        Tests/WebCore/CSSTokenizerTests.cpp
        Tests/WebCore/ColorTests.cpp
        Tests/WebCore/ComplexTextController.cpp
        Tests/WebCore/ContextMenuAction.cpp
        Tests/WebCore/Decimal.cpp
        Tests/WebCore/FileMonitor.cpp
        Tests/WebCore/FloatPointTests.cpp
        Tests/WebCore/FloatRectTests.cpp
        Tests/WebCore/FloatSegmentTest.cpp
        Tests/WebCore/FloatSizeTests.cpp
        Tests/WebCore/GridPosition.cpp
        Tests/WebCore/HTMLParserIdioms.cpp
        Tests/WebCore/HTTPParsers.cpp
        Tests/WebCore/ImageBufferTests.cpp
        Tests/WebCore/IntPointTests.cpp
        Tests/WebCore/IntRectTests.cpp
        Tests/WebCore/IntSizeTests.cpp
        Tests/WebCore/KeyedCoding.cpp
        Tests/WebCore/LayoutRoundedRectTests.cpp
        Tests/WebCore/LayoutUnitTests.cpp
        Tests/WebCore/MIMESniffer.cpp
        Tests/WebCore/MIMETypeRegistry.cpp
        Tests/WebCore/MediaReorderQueue.cpp
        Tests/WebCore/MixedContentChecker.cpp
        Tests/WebCore/MonospaceFontTests.cpp
        Tests/WebCore/NowPlayingInfoTests.cpp
        Tests/WebCore/ParsedContentRange.cpp
        Tests/WebCore/PathTests.cpp
        Tests/WebCore/PixelBufferConversionTests.cpp
        Tests/WebCore/PlatformDynamicRangeLimitTests.cpp
        Tests/WebCore/PublicSuffix.cpp
        Tests/WebCore/RegionTests.cpp
        Tests/WebCore/RenderStyleChange.cpp
        Tests/WebCore/SecurityOrigin.cpp
        Tests/WebCore/ShareableBitmap.cpp
        Tests/WebCore/SharedBuffer.cpp
        Tests/WebCore/SharedBufferTest.cpp
        Tests/WebCore/StyleGradient.cpp
        Tests/WebCore/TimeRanges.cpp
        Tests/WebCore/TransformationMatrix.cpp
        Tests/WebCore/URLParserTextEncoding.cpp
        Tests/WebCore/WritingModeTests.cpp
    )

    set(TestWebCore_LIBRARIES
        WebKit::gtest
    )
    set(TestWebCore_FRAMEWORKS
        JavaScriptCore
        PAL
        WTF
        WebCore
    )
    if (NOT USE_SYSTEM_MALLOC)
        list(APPEND TestWebCore_FRAMEWORKS bmalloc)
    endif ()

    set(TestWebCore_PRIVATE_INCLUDE_DIRECTORIES
        ${CMAKE_BINARY_DIR}
        ${TESTWEBKITAPI_DIR}
    )

    set(TestWebCore_DEFINITIONS
      WEBKIT_SRC_DIR="${CMAKE_SOURCE_DIR}"
    )

    WEBKIT_EXECUTABLE_DECLARE(TestWebCore)
    target_compile_definitions(TestWebCore PUBLIC TestWebCore_DEFINITIONS)
endif ()

# TestWebKitLegacy definitions
if (ENABLE_WEBKIT_LEGACY)
    set(TestWebKitLegacy_SOURCES
        TestsController.cpp
    )

    set(TestWebKitLegacy_LIBRARIES
        WebKit::gtest
    )

    set(TestWebKitLegacy_FRAMEWORKS
        JavaScriptCore
        PAL
        WTF
        WebCore
    )
    if (NOT USE_SYSTEM_MALLOC)
        list(APPEND TestWebKitLegacy_FRAMEWORKS bmalloc)
    endif ()
    if (NOT APPLE)
        list(APPEND TestWebKitLegacy_FRAMEWORKS WebKitLegacy)
    endif ()

    set(TestWebKitLegacy_PRIVATE_INCLUDE_DIRECTORIES
        ${CMAKE_BINARY_DIR}
        ${TESTWEBKITAPI_DIR}
    )

    WEBKIT_EXECUTABLE_DECLARE(TestWebKitLegacy)
endif ()

# TestWebKit definitions
if (ENABLE_WEBKIT)
    set(TestWebKit_SOURCES
        Utilities.cpp

        Tests/WebKit/AboutBlankLoad.cpp
        Tests/WebKit/CanHandleRequest.cpp
        Tests/WebKit/DOMWindowExtensionBasic.cpp
        Tests/WebKit/DOMWindowExtensionNoCache.cpp
        Tests/WebKit/DidNotHandleKeyDown.cpp
        Tests/WebKit/DocumentStartUserScriptAlertCrash.cpp
        Tests/WebKit/DownloadDecideDestinationCrash.cpp
        Tests/WebKit/EvaluateJavaScript.cpp
        Tests/WebKit/FailedLoad.cpp
        Tests/WebKit/Find.cpp
        Tests/WebKit/FirstMeaningfulPaintMilestone.cpp
        Tests/WebKit/ForceRepaint.cpp
        Tests/WebKit/FrameMIMETypeHTML.cpp
        Tests/WebKit/FrameMIMETypePNG.cpp
        Tests/WebKit/Geolocation.cpp
        Tests/WebKit/GetInjectedBundleInitializationUserDataCallback.cpp
        Tests/WebKit/HitTestResultNodeHandle.cpp
        Tests/WebKit/InjectedBundleBasic.cpp
        Tests/WebKit/InjectedBundleFrameHitTest.cpp
        Tests/WebKit/InjectedBundleInitializationUserDataCallbackWins.cpp
        Tests/WebKit/LoadAlternateHTMLStringWithNonDirectoryURL.cpp
        Tests/WebKit/LoadCanceledNoServerRedirectCallback.cpp
        Tests/WebKit/LoadPageOnCrash.cpp
        Tests/WebKit/MouseMoveAfterCrash.cpp
        Tests/WebKit/NewFirstVisuallyNonEmptyLayout.cpp
        Tests/WebKit/NewFirstVisuallyNonEmptyLayoutFails.cpp
        Tests/WebKit/NewFirstVisuallyNonEmptyLayoutForImages.cpp
        Tests/WebKit/NewFirstVisuallyNonEmptyLayoutFrames.cpp
        Tests/WebKit/PageLoadBasic.cpp
        Tests/WebKit/PageLoadDidChangeLocationWithinPageForFrame.cpp
        Tests/WebKit/PageLoadEmptyURL.cpp
        Tests/WebKit/PageLoadState.cpp
        Tests/WebKit/ParentFrame.cpp
        Tests/WebKit/PendingAPIRequestURL.cpp
        Tests/WebKit/PreventEmptyUserAgent.cpp
        Tests/WebKit/PrivateBrowsingPushStateNoHistoryCallback.cpp
        Tests/WebKit/ProvisionalURLAfterWillSendRequestCallback.cpp
        Tests/WebKit/ReloadPageAfterCrash.cpp
        Tests/WebKit/ResizeWindowAfterCrash.cpp
        Tests/WebKit/RestoreSessionStateContainingFormData.cpp
        Tests/WebKit/TextFieldDidBeginAndEndEditing.cpp
        Tests/WebKit/UserMedia.cpp
        Tests/WebKit/UserMessage.cpp
        Tests/WebKit/WKPageCopySessionStateWithFiltering.cpp
        Tests/WebKit/WKPageGetScaleFactorNotZero.cpp
        Tests/WebKit/WKPreferences.cpp
        Tests/WebKit/WKRetainPtr.cpp
        Tests/WebKit/WKString.cpp
        Tests/WebKit/WKStringJSString.cpp
        Tests/WebKit/WKURL.cpp
        Tests/WebKit/WillSendSubmitEvent.cpp
    )

    set(TestWebKit_PRIVATE_INCLUDE_DIRECTORIES
        ${CMAKE_BINARY_DIR}
        ${JavaScriptCore_PRIVATE_FRAMEWORK_HEADERS_DIR}
        ${PAL_FRAMEWORK_HEADERS_DIR}
        ${TESTWEBKITAPI_DIR}
        ${WebCore_PRIVATE_FRAMEWORK_HEADERS_DIR}
        ${WebKit_FRAMEWORK_HEADERS_DIR}
    )

    set(TestWebKit_LIBRARIES
        TestWebKitAPIBase
        WebKit::gtest
    )
    set(TestWebKit_FRAMEWORKS
        WebKit
    )

    set(TestWebKit_DEPENDENCIES
        TestWebKitAPIInjectedBundle
    )

    add_library(TestWebKitAPIBase STATIC
        JavaScriptTest.cpp
        PlatformUtilities.cpp
        TestsController.cpp
    )
    target_compile_definitions(TestWebKitAPIBase PRIVATE BUILDING_TestWebKit)
    target_include_directories(TestWebKitAPIBase PRIVATE ${TestWebKit_PRIVATE_INCLUDE_DIRECTORIES})

=== Source/ThirdParty/skia/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "skia")

# Skia dependencies not used directly in WebKit.
if (NOT WIN32 AND NOT PLAYSTATION)
    find_package(Freetype 2.9.0 REQUIRED)
    find_package(Fontconfig 2.13.0 REQUIRED)
endif ()

if (USE_SKIA_ENCODERS)
    find_package(WebP REQUIRED COMPONENTS mux)
endif ()

if (ANDROID)
    find_package(EXPAT REQUIRED)
endif ()

#
# The target definition lists sources which always get built.
# The rest may be added later as-needed with target_sources().
#
add_library(Skia STATIC
    src/base/SkArenaAlloc.cpp
    src/base/SkBezierCurves.cpp
    src/base/SkBlockAllocator.cpp
    src/base/SkBuffer.cpp
    src/base/SkContainers.cpp
    src/base/SkCubics.cpp
    src/base/SkDebug.cpp
    src/base/SkDeque.cpp
    src/base/SkFloatingPoint.cpp
    src/base/SkHalf.cpp
    src/base/SkMalloc.cpp
    src/base/SkMathPriv.cpp
    src/base/SkQuads.cpp
    src/base/SkSafeMath.cpp
    src/base/SkSemaphore.cpp
    src/base/SkSharedMutex.cpp
    src/base/SkSpinlock.cpp
    src/base/SkTDArray.cpp
    src/base/SkTSearch.cpp
    src/base/SkThreadID.cpp
    src/base/SkTime.cpp
    src/base/SkUTF.cpp
    src/base/SkUtils.cpp

    src/codec/SkCodec.cpp
    src/codec/SkCodecColorProfile.cpp
    src/codec/SkCodecImageGenerator.cpp
    src/codec/SkColorPalette.cpp
    src/codec/SkEncodedInfo.cpp
    src/codec/SkExif.cpp
    src/codec/SkGainmapInfo.cpp
    src/codec/SkHdrAgtm.cpp
    src/codec/SkHdrAgtmParse.cpp
    src/codec/SkHdrMetadata.cpp
    src/codec/SkImageGenerator_FromEncoded.cpp
    src/codec/SkJpegCodec.cpp
    src/codec/SkJpegDecoderMgr.cpp
    src/codec/SkJpegMetadataDecoderImpl.cpp
    src/codec/SkJpegSegmentScan.cpp
    src/codec/SkJpegSourceMgr.cpp
    src/codec/SkJpegUtility.cpp
    src/codec/SkParseEncodedOrigin.cpp
    src/codec/SkPixmapUtils.cpp
    src/codec/SkPngCodec.cpp
    src/codec/SkPngCodecBase.cpp
    src/codec/SkPngCompositeChunkReader.cpp
    src/codec/SkSampler.cpp
    src/codec/SkSwizzler.cpp
    src/codec/SkTiffUtility.cpp

    src/core/SkAAClip.cpp
    src/core/SkATrace.cpp
    src/core/SkAlphaRuns.cpp
    src/core/SkAnalyticEdge.cpp
    src/core/SkAnnotation.cpp
    src/core/SkAutoPixmapStorage.cpp
    src/core/SkBBHFactory.cpp
    src/core/SkBigPicture.cpp
    src/core/SkBitmap.cpp
    src/core/SkBitmapCache.cpp
    src/core/SkBitmapDevice.cpp
    src/core/SkBitmapProcState.cpp
    src/core/SkBitmapProcState_matrixProcs.cpp
    src/core/SkBitmapProcState_opts.cpp
    src/core/SkBitmapProcState_opts_ssse3.cpp
    src/core/SkBitmapProcState_opts_lasx.cpp
    src/core/SkBlendMode.cpp
    src/core/SkBlendModeBlender.cpp
    src/core/SkBlitMask_opts.cpp
    src/core/SkBlitMask_opts_ssse3.cpp
    src/core/SkBlitRow_D32.cpp
    src/core/SkBlitRow_opts.cpp
    src/core/SkBlitRow_opts_hsw.cpp
    src/core/SkBlitRow_opts_lasx.cpp
    src/core/SkBlitter.cpp
    src/core/SkBlitter_A8.cpp
    src/core/SkBlitter_ARGB32.cpp
    src/core/SkBlitter_Sprite.cpp
    src/core/SkBlurEngine.cpp
    src/core/SkBlurMask.cpp
    src/core/SkBlurMaskFilterImpl.cpp
    src/core/SkCPUContext.cpp
    src/core/SkCPURecorder.cpp
    src/core/SkCachedData.cpp
    src/core/SkCanvas.cpp
    src/core/SkCanvasPriv.cpp
    src/core/SkCanvas_Raster.cpp
    src/core/SkCapabilities.cpp
    src/core/SkChecksum.cpp
    src/core/SkClipStack.cpp
    src/core/SkClipStackDevice.cpp
    src/core/SkColor.cpp
    src/core/SkColorFilter.cpp
    src/core/SkColorSpace.cpp
    src/core/SkColorSpaceXformSteps.cpp
    src/core/SkColorTable.cpp
    src/core/SkCompressedDataUtils.cpp
    src/core/SkContourMeasure.cpp
    src/core/SkConvertPixels.cpp
    src/core/SkCpu.cpp
    src/core/SkCubicClipper.cpp
    src/core/SkCubicMap.cpp
    src/core/SkData.cpp
    src/core/SkDataTable.cpp
    src/core/SkDescriptor.cpp
    src/core/SkDevice.cpp
    src/core/SkDistanceFieldGen.cpp
    src/core/SkDocument.cpp
    src/core/SkDraw.cpp
    src/core/SkDrawShadowInfo.cpp
    src/core/SkDraw_atlas.cpp
    src/core/SkDraw_text.cpp
    src/core/SkDraw_vertices.cpp
    src/core/SkDrawable.cpp
    src/core/SkEdge.cpp
    src/core/SkEdgeBuilder.cpp
    src/core/SkEdgeClipper.cpp
    src/core/SkExecutor.cpp
    src/core/SkFlattenable.cpp
    src/core/SkFont.cpp
    src/core/SkFontDescriptor.cpp
    src/core/SkFontMetricsPriv.cpp
    src/core/SkFontMgr.cpp
    src/core/SkFontMgr.cpp
    src/core/SkFontStream.cpp
    src/core/SkFont_serial.cpp
    src/core/SkGaussFilter.cpp
    src/core/SkGeometry.cpp
    src/core/SkGlobalInitialization_core.cpp
    src/core/SkGlyph.cpp
    src/core/SkGlyphRunPainter.cpp
    src/core/SkGraphics.cpp
    src/core/SkIDChangeListener.cpp
    src/core/SkImageFilter.cpp
    src/core/SkImageFilterCache.cpp
    src/core/SkImageFilterTypes.cpp
    src/core/SkImageGenerator.cpp
    src/core/SkImageInfo.cpp
    src/core/SkKnownRuntimeEffects.cpp
    src/core/SkLatticeIter.cpp
    src/core/SkLineClipper.cpp
    src/core/SkLocalMatrixImageFilter.cpp
    src/core/SkM44.cpp
    src/core/SkMD5.cpp
    src/core/SkMallocPixelRef.cpp
    src/core/SkMask.cpp
    src/core/SkMaskBlurFilter.cpp
    src/core/SkMaskCache.cpp
    src/core/SkMaskFilter.cpp
    src/core/SkMaskFilterBase.cpp
    src/core/SkMaskGamma.cpp
    src/core/SkMasks.cpp
    src/core/SkMatrix.cpp
    src/core/SkMatrixInvert.cpp
    src/core/SkMemset_opts.cpp
    src/core/SkMemset_opts_avx.cpp
    src/core/SkMemset_opts_erms.cpp
    src/core/SkMesh.cpp
    src/core/SkMipmap.cpp
    src/core/SkMipmapAccessor.cpp
    src/core/SkMipmapBuilder.cpp
    src/core/SkMipmapDrawDownSampler.cpp
    src/core/SkMipmapHQDownSampler.cpp
    src/core/SkOpts.cpp
    src/core/SkOverdrawCanvas.cpp
    src/core/SkPaint.cpp
    src/core/SkPaintPriv.cpp
    src/core/SkPath.cpp
    src/core/SkPathBuilder.cpp
    src/core/SkPathData.cpp
    src/core/SkPathEffect.cpp
    src/core/SkPathIter.cpp
    src/core/SkPathMeasure.cpp
    src/core/SkPathPriv.cpp
    src/core/SkPathRaw.cpp
    src/core/SkPathRawShapes.cpp
    src/core/SkPathUtils.cpp
    src/core/SkPath_pathdata.cpp
    src/core/SkPath_serial.cpp
    src/core/SkPicture.cpp
    src/core/SkPictureData.cpp
    src/core/SkPictureFlat.cpp
    src/core/SkPicturePlayback.cpp
    src/core/SkPictureRecord.cpp
    src/core/SkPictureRecorder.cpp
    src/core/SkPixelRef.cpp
    src/core/SkPixmap.cpp
    src/core/SkPixmapDraw.cpp
    src/core/SkPoint.cpp
    src/core/SkPoint3.cpp
    src/core/SkPtrRecorder.cpp
    src/core/SkQuadClipper.cpp
    src/core/SkRRect.cpp
    src/core/SkRSXform.cpp
    src/core/SkRTree.cpp
    src/core/SkRasterClip.cpp
    src/core/SkRasterPipeline.cpp
    src/core/SkRasterPipelineBlitter.cpp
    src/core/SkReadBuffer.cpp
    src/core/SkReadPixelsRec.cpp
    src/core/SkRecord.cpp
    src/core/SkRecordCanvas.cpp
    src/core/SkRecordDraw.cpp
    src/core/SkRecordOpts.cpp
    src/core/SkRecordedDrawable.cpp
    src/core/SkRecords.cpp
    src/core/SkRect.cpp
    src/core/SkRegion.cpp
    src/core/SkRegion_path.cpp
    src/core/SkResourceCache.cpp
    src/core/SkRuntimeBlender.cpp
    src/core/SkRuntimeEffect.cpp
    src/core/SkSLTypeShared.cpp
    src/core/SkScalar.cpp
    src/core/SkScalerContext.cpp
    src/core/SkScan.cpp
    src/core/SkScan_AAAPath.cpp
    src/core/SkScan_AntiPath.cpp
    src/core/SkScan_Antihair.cpp
    src/core/SkScan_Hairline.cpp
    src/core/SkScan_Path.cpp
    src/core/SkSpecialImage.cpp
    src/core/SkSpriteBlitter_ARGB32.cpp
    src/core/SkStream.cpp
    src/core/SkStrike.cpp
    src/core/SkStrikeCache.cpp
    src/core/SkStrikeSpec.cpp
    src/core/SkString.cpp
    src/core/SkStringUtils.cpp
    src/core/SkStroke.cpp
    src/core/SkStrokeRec.cpp
    src/core/SkStrokerPriv.cpp
    src/core/SkSwizzle.cpp
    src/core/SkSwizzler_opts.cpp
    src/core/SkSwizzler_opts_hsw.cpp
    src/core/SkSynchronizedResourceCache.cpp
    src/core/SkSwizzler_opts_ssse3.cpp
    src/core/SkSwizzler_opts_lasx.cpp
    src/core/SkTaskGroup.cpp
    src/core/SkTextBlob.cpp
    src/core/SkTypeface.cpp
    src/core/SkTypefaceCache.cpp
    src/core/SkTypeface_remote.cpp
    src/core/SkUnPreMultiply.cpp
    src/core/SkVertState.cpp
    src/core/SkVertices.cpp
    src/core/SkWriteBuffer.cpp
    src/core/SkWritePixelsRec.cpp
    src/core/SkWriter32.cpp
    src/core/SkYUVAInfo.cpp
    src/core/SkYUVAPixmaps.cpp
    src/core/SkYUVMath.cpp
    src/core/SkYUVPlanesCache.cpp

    src/gpu/AtlasTypes.cpp
    src/gpu/Blend.cpp
    src/gpu/BlendFormula.cpp
    src/gpu/BlurUtils.cpp
    src/gpu/DataUtils.cpp
    src/gpu/DitherUtils.cpp
    src/gpu/RectanizerPow2.cpp
    src/gpu/RectanizerSkyline.cpp
    src/gpu/ResourceKey.cpp
    src/gpu/ShaderErrorHandler.cpp
    src/gpu/SkBackingFit.cpp
    src/gpu/SkSLToBackend.cpp
    src/gpu/Swizzle.cpp
    src/gpu/TiledTextureUtils.cpp

    src/gpu/ganesh/ClipStack.cpp
    src/gpu/ganesh/Device.cpp
    src/gpu/ganesh/Device_drawTexture.cpp
    src/gpu/ganesh/GrAttachment.cpp
    src/gpu/ganesh/GrAuditTrail.cpp
    src/gpu/ganesh/GrBackendSemaphore.cpp
    src/gpu/ganesh/GrBackendSurface.cpp
    src/gpu/ganesh/GrBackendTextureImageGenerator.cpp
    src/gpu/ganesh/GrBackendUtils.cpp
    src/gpu/ganesh/GrBlurUtils.cpp
    src/gpu/ganesh/GrBufferAllocPool.cpp
    src/gpu/ganesh/GrBufferTransferRenderTask.cpp
    src/gpu/ganesh/GrBufferUpdateRenderTask.cpp
    src/gpu/ganesh/GrCaps.cpp
    src/gpu/ganesh/GrClientMappedBufferManager.cpp
    src/gpu/ganesh/GrColorInfo.cpp
    src/gpu/ganesh/GrColorSpaceXform.cpp
    src/gpu/ganesh/GrContextThreadSafeProxy.cpp
    src/gpu/ganesh/GrContext_Base.cpp
    src/gpu/ganesh/GrCopyRenderTask.cpp
    src/gpu/ganesh/GrDDLContext.cpp
    src/gpu/ganesh/GrDDLTask.cpp
    src/gpu/ganesh/GrDataUtils.cpp
    src/gpu/ganesh/GrDefaultGeoProcFactory.cpp
    src/gpu/ganesh/GrDeferredDisplayList.cpp
    src/gpu/ganesh/GrDeferredDisplayListRecorder.cpp
    src/gpu/ganesh/GrDirectContext.cpp
    src/gpu/ganesh/GrDirectContextPriv.cpp
    src/gpu/ganesh/GrDistanceFieldGenFromVector.cpp
    src/gpu/ganesh/GrDrawOpAtlas.cpp
    src/gpu/ganesh/GrDrawingManager.cpp
    src/gpu/ganesh/GrDriverBugWorkarounds.cpp
    src/gpu/ganesh/GrDynamicAtlas.cpp
    src/gpu/ganesh/GrEagerVertexAllocator.cpp
    src/gpu/ganesh/GrFixedClip.cpp
    src/gpu/ganesh/GrFragmentProcessor.cpp
    src/gpu/ganesh/GrFragmentProcessors.cpp
    src/gpu/ganesh/GrGeometryProcessor.cpp
    src/gpu/ganesh/GrGpu.cpp
    src/gpu/ganesh/GrGpuBuffer.cpp
    src/gpu/ganesh/GrGpuResource.cpp
    src/gpu/ganesh/GrImageContext.cpp
    src/gpu/ganesh/GrImageInfo.cpp
    src/gpu/ganesh/GrMemoryPool.cpp
    src/gpu/ganesh/GrMeshDrawTarget.cpp
    src/gpu/ganesh/GrOnFlushResourceProvider.cpp
    src/gpu/ganesh/GrOpFlushState.cpp
    src/gpu/ganesh/GrOpsRenderPass.cpp
    src/gpu/ganesh/GrPaint.cpp
    src/gpu/ganesh/GrPersistentCacheUtils.cpp
    src/gpu/ganesh/GrPipeline.cpp
    src/gpu/ganesh/GrProcessor.cpp
    src/gpu/ganesh/GrProcessorAnalysis.cpp
    src/gpu/ganesh/GrProcessorSet.cpp
    src/gpu/ganesh/GrProgramDesc.cpp
    src/gpu/ganesh/GrProgramInfo.cpp
    src/gpu/ganesh/GrPromiseImageTexture.cpp
    src/gpu/ganesh/GrProxyProvider.cpp
    src/gpu/ganesh/GrRecordingContext.cpp
    src/gpu/ganesh/GrRecordingContextPriv.cpp
    src/gpu/ganesh/GrRenderTarget.cpp
    src/gpu/ganesh/GrRenderTargetProxy.cpp
    src/gpu/ganesh/GrRenderTask.cpp
    src/gpu/ganesh/GrRenderTaskCluster.cpp
    src/gpu/ganesh/GrResourceAllocator.cpp
    src/gpu/ganesh/GrResourceCache.cpp
    src/gpu/ganesh/GrResourceProvider.cpp
    src/gpu/ganesh/GrRingBuffer.cpp
    src/gpu/ganesh/GrSWMaskHelper.cpp
    src/gpu/ganesh/GrShaderCaps.cpp
    src/gpu/ganesh/GrShaderVar.cpp
    src/gpu/ganesh/GrStagingBufferManager.cpp
    src/gpu/ganesh/GrStencilSettings.cpp
    src/gpu/ganesh/GrStyle.cpp
    src/gpu/ganesh/GrSurface.cpp
    src/gpu/ganesh/GrSurfaceCharacterization.cpp
    src/gpu/ganesh/GrSurfaceProxy.cpp
    src/gpu/ganesh/GrSurfaceProxyView.cpp
    src/gpu/ganesh/GrTexture.cpp
    src/gpu/ganesh/GrTextureProxy.cpp
    src/gpu/ganesh/GrTextureRenderTargetProxy.cpp

=== debian/changelog ===
webkit2gtk (2.51.90-1ubuntu1) resolute; urgency=medium

  * Cherry-pick proposed patch to fix build with gstreamer 1.27

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 24 Jan 2026 09:32:10 -0500

webkit2gtk (2.51.90-1) experimental; urgency=medium

  * New upstream development release.
  * debian/rules:
    - Disable native SIMD on Ubuntu (Jeremy Bícha).
    - Build with -no-integrated-cpp to further reduce memory usage on some
      32-bit architectures (#1125347).
    - Use gcc on armhf instead of clang-19 (#1124051).
    - Use --param ggc-min-expand=10 on armhf to reduce memory usage even
      more.
    - Add setting (and patch) to enable building the Swift demo (for
      testing purposes only, disabled by default).
  * debian/patches/no-must-tail.patch:
    - Disable musttail on sh4 and m68k (#1125380).
  * debian/patches/fix-system-malloc.patch:
    - Fix i386 build due to undefined value.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/libwebkit2gtk-4.1-0.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Fri, 23 Jan 2026 15:31:03 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>,
           Emilio Pozuelo Monfort <pochu@debian.org>
X-Ubuntu-Use-Langpack: no
Build-Depends: debhelper-compat (= 13),
               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 hppa ppc64 x32],
               clang [amd64 arm64 armel i386 ppc64el riscv64 s390x],
               cmake (>= 3.20),
               gcc-14 [mips64el],
               g++-14 [mips64el],
               flite1-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0-dev,
               gir1.2-gtk-4.0-dev,
               gir1.2-soup-3.0-dev,
               libglib2.0-dev,
               libharfbuzz-dev,
               libcairo2-dev,
               libdrm-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libicu-dev,
               libgcrypt20-dev,
               libgtk-3-dev,
               libgtk-4-dev,
               libhyphen-dev,
               libjxl-dev,
               liblcms2-dev,
               libmanette-0.2-dev [!hurd-any !i386],
               libsoup-3.0-dev,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
               libxslt1-dev,
               libxml2-dev,
               libsqlite3-dev,
               libsystemd-dev [!hurd-any],
               libgudev-1.0-dev [!hurd-any],
               libwoff-dev,
               gperf,
               bison,
               flex,
               ruby:native,
               unifdef,
               libavif-dev,
               libjpeg-dev,
               libopenjp2-7-dev,
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxml2-utils,
               libxt-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libenchant-2-dev,
               libsecret-1-dev,
               gobject-introspection,
               ninja-build,
               libegl-dev,
               libgl-dev,
               libgles-dev
Build-Depends-Indep: gi-docgen, jdupes
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-bin
Section: interpreters
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: libjavascriptcoregtk-4.0-bin (<< 2.43.4-2~)
Replaces: libjavascriptcoregtk-4.0-bin (<< 2.43.4-2~)
Description: JavaScript engine library from WebKitGTK - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: libwebkitgtk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libwebkit2gtk-4.0-doc (<< 2.43.4-2~)
Replaces: libwebkit2gtk-4.0-doc (<< 2.43.4-2~)
Description: Web content engine library for GTK - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package contains the documentation.

Package: webkitgtk-webdriver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: webkit2gtk-driver (<< 2.45.5~)
Replaces: webkit2gtk-driver (<< 2.45.5~)
Description: WebKitGTK WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package provides the WebDriver service implementation for
 WebKitGTK.

Package: libjavascriptcoregtk-4.1-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         libglib2.0-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.1-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libgles2,
         ${bwrap:Depends},
         ${shlibs:Depends},
         ${gles:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-gl,
            libgl1-mesa-dri,
            ${bwrap:Recommends},
            ${gst:Recommends}
Suggests: ${gst:Suggests},
         gstreamer1.0-alsa
Description: Web content engine library for GTK
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.1 of the API and uses the GTK 3 widget
 toolkit.
 .
 This package contains the shared libraries.

Package: libwebkit2gtk-4.1-dev
Section: libdevel
Architecture: any
Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup-3.0-dev,
         libjavascriptcoregtk-4.1-dev (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Web content engine library for GTK - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.1 of the API and uses the GTK 3 widget
 toolkit.
 .
 This package contains the development files.

Package: gir1.2-webkit2-4.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Web content engine library for GTK - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.1 of the API and uses the GTK 3 widget
 toolkit.
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libjavascriptcoregtk-6.0-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 6.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-6.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-6.0-1 (= ${binary:Version}),
         libglib2.0-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 6.0).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-6.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-6.0-1 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
